## org.apache.http.protocol
Class RequestTargetHost

    java.lang.Object
      org.apache.http.protocol.RequestTargetHost

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestTargetHost

extends Object
implements HttpRequestInterceptor

RequestTargetHost is responsible for adding `Host` header. This interceptor is required for client side protocol processors.

Since:
  4.0

Constructor Summary
`RequestTargetHost()`

Method Summary
`void` `process(HttpRequest request, HttpContext context)` Processes a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestTargetHost

    public RequestTargetHost()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Description copied from interface: `HttpRequestInterceptor`
  Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.

  Specified by:
    `process` in interface `HttpRequestInterceptor`
  Parameters:
    `request` - the request to preprocess
    `context` - the context for the request
  Throws:
    `HttpException` - in case of an HTTP protocol violation
    `IOException` - in case of an I/O error

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.